Subject: [bug#69376] [PATCH go-team] build-system/go: Allow providing additional test flags.

From: Troy Figiel <[email-masked]>
Date: Fri, 8 Mar 2024 10:06:56 +0100

Hi Oleg,

On 2024-03-07 23:59, Sharlatan Hellseher wrote:
> The patch looks reasonable. Does it allow us to run all available tests
> as we discussed in
> <https://lists.gnu.org/archive/html/guix-devel/2024-01/msg00128.html>?

No, not yet. This only allows providing extra test-flags such as
"-vet=off" or "-skip ..." for Go 1.20+. An example where this is useful,
is go-github-com-wtolson-go-taglib, but I had a couple in my backlog as
well.

> One nitpick about this section:
> --8<---------------cut here---------------start------------->8---
> +;; go test builds a test binary (or multiple binaries), vets the code and then
> +;; runs the test binary. Build, test and test binary flags can be provided as
> +;; test-flags. See "go help test" and "go help testflag" for more details.
> --8<---------------cut here---------------end--------------->8---
> It is a good material for documentation section, how about to move it
> from this comment and compile a proper documentation note describing
> #:test-flags for go-build-system?
> 
> Something like this:
> --8<---------------cut here---------------start------------->8---
> #:test-flags is added. The default is '(). These flags are passed as
>  arguments to the test command. Note that flags for verbose output is
>  always enabled on supported backends.
> --8<---------------cut here---------------end--------------->8---
> Sourced from <https://guix.gnu.org/manual/en/html_node/Build-Systems.html>
> 
> WDYT?

I think that's a great idea. Where would that go exactly? I have only
found "guix.texi" and can add a short section there. Is this the correct
location?

Best wishes,

Troy